//--------------------------------------------------------
//#define GYVERHUB_DEV     // Используется версия https://github.com/GyverLibs/GyverHub/tree/dev
                         // Иначе используется  https://github.com/GyverLibs/GyverHub   
//--------------------------------------------------------
#define ESP_UDP_PORT        (8888U)  // номер порта, который будет слушать UDP сервер во время работы лампы как в режиме WiFi точки доступа, так и в режиме WiFi клиента (лучше не менять)
#define MAX_EFF_GYVER       91       // Максимальное количество эффектов для совместимости с лампами
#define MAX_UDP_BUFFER_SIZE (512U)   // максимальный размер буффера UDP сервера
//--------------------------------------------------------

#define str_modul       "⚡;☵;💥;⏱;🎧;➿;⭕"
#define hlp_modul       "Модули - Реле ШИМ WS2812 Timer MP3 TX_433 TX_IR"
#define str_dayofweek   "Вс;П;В;С;Ч;Пт;Сб"
//--------------------------------------------------------
// Длинна переменной для команды
//#define HUB_LEN 25
//#define CMD_LEN HUB_LEN*2+1
#define HUB_LEN 45
#define CMD_LEN 51
//для ответа на запрос DISCOVER
#define DISCOVER "IP %u.%u.%u.%u:%u:" HUB_NAME

char main_menu[50]="PULT;IP;";
//char packetBuffer[MAX_UDP_BUFFER_SIZE]; // buffer to hold incoming packet
char inputBuffer[MAX_UDP_BUFFER_SIZE];

GyverHub hub(HUB_PREFIX,HUB_NAME,HUB_ICO);
//GyverHub hub("user_7xxxxxx",HUB_NAME,HUB_ICO); // For srv2.clusterfly.ru

bool HUB_Update=false; 
uint16_t localPort = ESP_UDP_PORT;

bool ON_OFF = false; // Общий тригер включения/выключения
WiFiUDP Udp;

WiFiUDP ntpUDP;
int hour = 1;
int minute = 0;
int dayofweek=0;

uint64_t ntp_update_time=0;
const long utcOffsetInSeconds = 10800;

NTPClient timeClient(ntpUDP, "pool.ntp.org",utcOffsetInSeconds);
bool eeprom_flag=false;

//--------------------------
char str_GHflags_IP[40]="0";

struct struct_ip_addr{
  bool on_off;
  char ipchr[16];
  GH::Flags copy_attr;
  GH::Color col;
//  uint32_t col_hex=GH_AQUA;
};

struct_ip_addr ip_addr[MAX_IP];
FS_(ip_addr);
//--------------------------
struct struct_lamp_status{
  bool online;
  bool on_off;
  uint32_t last_input_udp=0;
  char name[CMD_LEN]="";
  uint8_t eff;
  uint8_t BRI;
  uint8_t SPD;
  uint8_t SCA;
  uint8_t CLR;
};

struct_lamp_status lamp_status[MAX_IP];

#define REGEX_IP "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$"
//const char static PROGMEM REGEX_IP[] = "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$\0";
uint32_t ntp_time;
uint8_t rassvet=0;

#define MAX_ARG 7

struct struct_char_parsung {
 char     act[CMD_LEN];
 uint8_t  len;
};

struct_char_parsung char_parsung[MAX_ARG];

uint8_t effect=0;
